HTTPS Proxy Support for file sync

Reported by Mathias Menzer on 2009-06-15
This bug affects 506 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Medium
Ubuntu One Client Engineering team
Declined for Stable-1-0 by Rodney Dawes
Ubuntu One Control Panel
Medium
Ubuntu One Client Engineering team
Ubuntu Single Sign On Client
Medium
Ubuntu One Client Engineering team

Bug Description

Ubuntu One file syncing should be fixed so that it works OK when a proxy has been configured in System->Preferences->Network Proxy.

I went ahead and modified the description of this bug to make it match something that I think can be done as a first step. I'd like to get regular proxy support working before trying to tackle authenticated proxies and virus scanners. I've discussed this bug with a couple of developers and we are looking into fixing it, so I'm also going to increase the priority from wishlist.

Related branches

lp:~damiano-albani/ubuntu-sso-client/proxy-support
Rejected for merging into lp:ubuntu-sso-client
John O'Brien (community): Disapprove on 2012-01-12
Alejandro J. Cura: Needs Fixing on 2011-08-31
Natalia Bidart: Needs Fixing on 2011-08-12
Mathias Menzer (mfm) on 2009-06-15
description: updated
tags: added: whishlist
Changed in ubuntuone-client:
importance: Undecided → Medium
status: New → Confirmed
Tiago Cogumbreiro (cogumbreiro) wrote :

I am trying to connect through a HTTP proxy without auth and it is not working.

My proxy settings are configured at system-wide level by GNOME.

John O'Brien (jdobrien) wrote :

Can you describe where you are having the problem?

Tiago Cogumbreiro (cogumbreiro) wrote :

After I connect, the applet stays in the mode "working" forever.

The log is:

2009-06-23 17:26:05,393 - ubuntuone.SyncDaemon.Main - INFO - ---- MARK (state: START_CONNECTING; queues: metadata: 0; content: 0; hash: 0) ----
2009-06-23 17:28:05,393 - ubuntuone.SyncDaemon.Main - INFO - ---- MARK (state: START_CONNECTING; queues: metadata: 0; content: 0; hash: 0) ----
2009-06-23 17:30:05,393 - ubuntuone.SyncDaemon.Main - INFO - ---- MARK (state: START_CONNECTING; queues: metadata: 0; content: 0; hash: 0) ----

I have a same problem...
 I am trying to connect through a HTTP proxy with auth, and nothing happens. I configure proxy in global GNOME menu and Synaptic menu. My update is working... but ubuntuone not.

John O'Brien (jdobrien) wrote :

Has anyone reporting this error gone through the process of "Authorizing your Computer" to access Ubuntu One the first time the application started on your computer?

If you're not sure, you can check your key ring:
1. Applications > Passwords and Encryption Keys
2. Select the Passwords tab
3. Toggle the 'Passwords' node in the list
4. You should have and UbuntuOne password in the list.

No, there are only my wireless and proxy key. After clicking on the ubuntu one applet, in application menu, nothing happened, i can't see "Add this Computer" button in the FireFox. On my desktop, this step working, but there is not HTTP Proxy.

Paul Sladen (sladen) wrote :

Mathias: are you after using a separate (different) proxy server just for U1 uploads/downloads, or does u1sync-daemon just need to use the system-wide configured proxy server (eg. in GNOME).

Eduard Grebe (eduardgrebe) wrote :

I can't figure out from the discussion in this bug whether UbuntuOne in fact does use the system-wide (gnome) proxy settings or ignores them and does not support connecting through a proxy at all. Could someone clarify whether this functionality exists and if not, whether it is a planned feature?

Eduard Grebe (eduardgrebe) wrote :

Sorry, found the answer in the duplicate bugs. Is there an ETA on proxy support? (This is a crucial feature for many who want to use U1 in a corporate environment.)

As far as I understand, for the moment proxy support is not working.

On Wed, Sep 2, 2009 at 7:53 PM, Eduard Grebe <email address hidden> wrote:

> I can't figure out from the discussion in this bug whether UbuntuOne in
> fact does use the system-wide (gnome) proxy settings or ignores them and
> does not support connecting through a proxy at all. Could someone
> clarify whether this functionality exists and if not, whether it is a
> planned feature?
>
> --
> [Wishlist] Proxy Support
> https://bugs.launchpad.net/bugs/387308
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
João Marcelino
Núcleo de Barragens e Obras de Aterro - Departamento de Geotecnia
LNEC
Av. Brasil 101 - 1700-066- LISBOA

Unauthenticated web proxy: Works!
Authenticated web proxy: ignores proxy settings, attempts to access 174.129.193.12 directly :(

I used global proxy settings, with the correct user credentials set for the authenticated proxy.

Installed package: 0.96.0+r231-0ubuntu1~ppa1~jaunty

Changed in ubuntuone-client:
importance: Medium → Wishlist
tags: added: desktop+ foundations+
removed: whishlist
lao-tseu (lao-tseu-is-alive) wrote :

It's amazing to see such a confusion about proxy supported or not in a ubuntu product !
Why put a system wide proxy option inside the System/Preferences if after that you don't use it in your own tools !
Please don't put any tools of your in Ubuntu standard distro if those tools dont' respect standards
And it should be stated clearly that if you have a proxy settings in a machine YOU SHOULD USE IT .

Lionel Dricot (ploum) wrote :

Currently, it looks like there's no proxy support at all. I've a proxy without authentification and it doesn't work.

fnu (fnu) wrote :

Hi there, same thing here Ubuntu One does only connect without any defined proxy. As soon there is a http/https-proxy defined, it doesn't connect anymore, even not with a locally installed privoxy. Verified with 9.10 (Karmic) 32-bit & 64-bit.

Bausparfuchs (bausparfuchs) wrote :

Unfortunately its a problem for me too. From my University where I have to use a proxy to go online, i cant use ubuntu one. Is that feature on its way?

Any news regarding this issue? I think, it should not be categorized as "Whishlist" because it was announced as one of the blazing new features of karmic. So it should be fixed very soon, because this is a very bad user exparience especially for corporate users.

I also think this shoul be fixed. I dont know if this is symptom of something else since mor programs have promblems with proxy (such as epiphany messenger). This creates problems also for people who tries to use ubuntu in a university environment. Univeristies anywhere normally only allow internet connections through a proxy server.

DusanH (dusan-holub) wrote :

One does not work for me even behind non-authorizing proxy. Hangs in "connecting" state. wget works from console, firefox as well, chat programs as well. I definitely think that the One client does not support proxy at all.
Note: it works for me outside of corporate environment not using any proxy.

fosk (oscarrdg) wrote :

Still facing this problem:
Can not use ubuntu one in a corporate network behind a proxy.
I can not even connect this machine with my ubuntu one account.

"[errno socket error] [errno 111] connection refused"

benscosm (benscosm) wrote :

[quote]

Still facing this problem:
Can not use ubuntu one in a corporate network behind a proxy.
I can not even connect this machine with my ubuntu one account.

"[errno socket error] [errno 111] connection refused"
[/quote]

me too..... whatsoever works with my corporate proxy (authenticated) nut not U1

This feature is a must for an application like Ubuntu One, no one cant connect at work if its not via a proxy server...Ubuntu one developers should pay more attention to this fea

Lingyun Yang (lingyun-yang) wrote :

Yes, this feature is so important, please add it.

Uli Tillich (utillich) wrote :

I agree, the lack of proxy support is the one thing stopping me from getting a 50GB Account.

Yoann Juet (yoann-juet) wrote :

Yes, please add such a feature that is mandatory for corporate and educational working environments.

Barni (bpe2004) wrote :

Same here, just started to use 9.10 a bit more frequent for work in the office.

I am kindly asking maintenance coordinator to apply higher priority to this
issue resolution than just "Wishlist" priority. Having proxy connection is
not a wish but a must for serious use. Unless it is an intention not to have
proxy support...

Thanks,
Dusan

2010/3/2 Barni <email address hidden>

> Same here, just started to use 9.10 a bit more frequent for work in the
> office.
>
> --
> [Wishlist] Proxy Support
> https://bugs.launchpad.net/bugs/387308
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Confirmed
>
> Bug description:
> Ubuntu One should offer an option to set a specific authenticated web
> proxy. It should also allow to set connection timeouts to allow the usage of
> virus scanners connected to the proxy (these may delay up- / download of a
> file until it has been scanned and verified clean).
>
> Possibility to configure a proxy:
> - Enter the proxy by youself
> - use a Proxy Auto Configuration file:
> http://web.archive.org/web/20060424005037/wp.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html
> - use Web Proxy Autromatic Detection (WPAD):
> http://www.ietf.org/proceedings/99nov/I-D/draft-ietf-wrec-wpad-01.txt
>
> Hint: Transfer of data via SSL connetion sometimes goes unscanned by virus
> scanners.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-client/+bug/387308/+subscribe
>

I have to agree, this should not be under "Wishlist".
As Y. Juet already stated there are many environments where this feature is an absolute necessity.

mucku (dereinsameberg) wrote :

Lacking proxy support makes this client useless for me on 50% of the locations i am normally (work vs. home etc.). Unless this is not changed I won't change (can't) from Dropbox. I am also interested in paying 10 bucks for 50GB on UbuntuOne. But only with proxy support and probably a basic Windows client.
But I guess this should be just a matter of time.

Elliot Murphy (statik) on 2010-03-03
tags: removed: desktop+
Changed in ubuntuone-client:
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
summary: - [Wishlist] Proxy Support
+ HTTPS Proxy Support
summary: - HTTPS Proxy Support
+ HTTPS Proxy Support for file sync
description: updated
Changed in ubuntuone-client:
importance: Wishlist → Medium
description: updated
Download full text (3.3 KiB)

Elliot,

thank you very much for your attention paying to this.

Best regards,
Dusan

2010/3/3 Elliot Murphy <email address hidden>

> ** Tags removed: desktop+
>
> ** Changed in: ubuntuone-client
> Assignee: (unassigned) => Ubuntu One Foundations+ team
> (ubuntuone-foundations+)
>
> ** Summary changed:
>
> - [Wishlist] Proxy Support
> + HTTPS Proxy Support
>
> ** Summary changed:
>
> - HTTPS Proxy Support
> + HTTPS Proxy Support for file sync
>
> ** Description changed:
>
> - Ubuntu One should offer an option to set a specific authenticated web
> - proxy. It should also allow to set connection timeouts to allow the
> - usage of virus scanners connected to the proxy (these may delay up- /
> - download of a file until it has been scanned and verified clean).
> + Ubuntu One file syncing should work OK when a proxy has been configured
> + in System->Preferences->Network Proxy.
>
> - Possibility to configure a proxy:
> - - Enter the proxy by youself
> - - use a Proxy Auto Configuration file:
> http://web.archive.org/web/20060424005037/wp.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html
> - - use Web Proxy Autromatic Detection (WPAD):
> http://www.ietf.org/proceedings/99nov/I-D/draft-ietf-wrec-wpad-01.txt
> -
> - Hint: Transfer of data via SSL connetion sometimes goes unscanned by
> - virus scanners.
> + I went ahead and modified the description of this bug to make it match
> + something that I think can be done as a first step. I'd like to get
> + regular proxy support working before trying to tackle authenticated
> + proxies and virus scanners. I've discussed this bug with a couple of
> + developers and we are looking into fixing it, so I'm also going to
> + increase the priority from wishlist.
>
> ** Changed in: ubuntuone-client
> Importance: Wishlist => Medium
>
> ** Description changed:
>
> - Ubuntu One file syncing should work OK when a proxy has been configured
> - in System->Preferences->Network Proxy.
> + Ubuntu One file syncing should be fixed so that it works OK when a proxy
> + has been configured in System->Preferences->Network Proxy.
>
> I went ahead and modified the description of this bug to make it match
> something that I think can be done as a first step. I'd like to get
> regular proxy support working before trying to tackle authenticated
> proxies and virus scanners. I've discussed this bug with a couple of
> developers and we are looking into fixing it, so I'm also going to
> increase the priority from wishlist.
>
> --
> HTTPS Proxy Support for file sync
> https://bugs.launchpad.net/bugs/387308
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Confirmed
>
> Bug description:
> Ubuntu One file syncing should be fixed so that it works OK when a proxy
> has been configured in System->Preferences->Network Proxy.
>
> I went ahead and modified the description of this bug to make it match
> something that I think can be done as a first step. I'd like to get regular
> proxy support working before trying to tackle authenticated proxies and
> virus scanners. I've discussed this bug with a couple of developers and we
> are looking into fixi...

Read more...

Jayson Reis (jaysonsantos2003) wrote :

For proxy detection we have python-libproxy which is a great library.
That should not be difficult, in ubutunone tests they already have commented proxy tests.

Jayson,
Thanks I will try that out. I am trying to use ROS which has a lot of maps
stored in ubuntuone.

Thanks,
Scott T.

On Thu, Mar 25, 2010 at 10:19 PM, Jayson Reis <<email address hidden>
> wrote:

> For proxy detection we have python-libproxy which is a great library.
> That should not be difficult, in ubutunone tests they already have
> commented proxy tests.
>
> --
> HTTPS Proxy Support for file sync
> https://bugs.launchpad.net/bugs/387308
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu One Client: Confirmed
>
> Bug description:
> Ubuntu One file syncing should be fixed so that it works OK when a proxy
> has been configured in System->Preferences->Network Proxy.
>
> I went ahead and modified the description of this bug to make it match
> something that I think can be done as a first step. I'd like to get regular
> proxy support working before trying to tackle authenticated proxies and
> virus scanners. I've discussed this bug with a couple of developers and we
> are looking into fixing it, so I'm also going to increase the priority from
> wishlist.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-client/+bug/387308/+subscribe
>

ttp (human-ttp) wrote :

I have had problems with proxy in 9.04. 10.04 is coming but these problems are still here.

Jason Haar (jhaar-launchpad) wrote :

I'm trying to bring up 10.04 behind a corporate proxy and it appears that Ubuntu One is connecting to the proxy - but thinks it's the Ubuntu One web server instead of a proxy!

i.e. a sniffer shows that instead of seeing

CONNECT https://launchpad.whatever

I see

random stuff that looks like SSL to me

...followed by a SSL error popup under Ubuntu

It is very common for corporate networks to block outbound Web and force their users through proxies. Ubuntu won't be usable within those environments with such a fault

Jason

Barra (roantreb) wrote :

Would consider upgrading to 50gb account if I knew this could work with college http proxy. Hope progress made soon.

Barra

Uli Tillich (utillich) wrote :

Everyone affected by this bug should also sign up for Bug #516032 (add-apt-repository not working behind a proxy) and Bug #304889 (empathy not working behind proxy), as they are sure to be affected as well.

Thank you

tags: added: chicharra
Bibendi (merkushin-m-s) wrote :

Ubuntu One is dead! One year left! Simple bug kill it.

Roman Yepishev (rye) on 2010-05-20
tags: added: current-trouble
tags: removed: current-trouble

This is really annoying. Is there any workaround for that issue?

Mitch Towner (kermiac) wrote :

I am closing this newly opened "Ubuntu" task as it is not required and the "Ubuntu One Client" task is already assigned to the relevant team.

Changed in ubuntu:
status: New → Invalid
Pete Myers (petemyers) wrote :

Just to give some context: This is one of those bugs which is currently stopping me upgrading my U1 account. Everything syncs at home, but until the account is usable in my work environment, U1 is essentially just a toy to me.

Genuine productivity would come from auto file syncing at work and at home (both machines are Ubuntu), and I would gladly pay for premium services if this was working.

mucku (dereinsameberg) wrote :

Are there any news or a rough time frame when this is planned to be implemented? With Getting Things Gnome aiming for syncing over U1 in the future I really would like to see this happen. Please don't let this die...

papukaija (papukaija) on 2011-03-14
tags: added: metabug
Changed in ubuntuone-client:
importance: Medium → Wishlist
PedroRolo (pedrorolo) on 2011-08-25
Changed in ubuntu:
status: Invalid → Confirmed
PedroRolo (pedrorolo) on 2011-08-25
Changed in ubuntu:
status: Confirmed → New
Changed in ubuntu:
status: New → Confirmed
Changed in ubuntu-sso-client:
importance: Undecided → Wishlist
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
status: New → Confirmed
Changed in ubuntuone-control-panel:
status: New → Confirmed
importance: Undecided → Wishlist
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Roberto Alsina (ralsina) on 2011-09-30
Changed in ubuntuone-client:
status: Confirmed → Triaged
Changed in ubuntuone-control-panel:
status: Confirmed → Triaged
Changed in ubuntu-sso-client:
status: Confirmed → Triaged
Roberto Alsina (ralsina) on 2011-09-30
Changed in ubuntuone-client:
importance: Wishlist → Medium
Changed in ubuntu-sso-client:
importance: Wishlist → Medium
Changed in ubuntuone-control-panel:
importance: Wishlist → Medium
Changed in ubuntuone-client:
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Ubuntu One Desktop+ team (ubuntuone-desktop+)
127 comments hidden view all 207 comments
Skilly (michael-scheepers) wrote :

On 10 December 2011 05:46, Rodney Dawes <email address hidden> wrote:

> If you do want to comment and
> help, please provide information about the proxy configuration that you
> are needing to work behind.

Basic squid\dansguardian installation

Roberto Alsina (ralsina) wrote :

@cuby this bug is being worked on currently, and we are aware it affects many users. The feedback we need right now is what kind of proxy setups are most common in our userbase so we can focus on fixing those cases first.

The current resolution status for this bug is: we are working on it, but it's still going to take months to get a useful implementation released. I am marking as in progress.

Changed in ubuntuone-client:
status: Triaged → In Progress
nick (swcodfather) wrote :

Ok as requested , my use cases

1) Home usage , through a Smoothwall firewall , which uses Squid in transparent proxy mode.

2) Work use , unknown proxy type, but probably a squid derivative or M$. This uses either a manually defined FQDN or IP address or you can use a proxy.pac file which contains multiple proxy definitions depending on which country you happen to connect to the corporate network on. typically on TCP port 8080 or 8000. I could supply the pac file - IP's changed of course - if that would be useful?

3) Using ssh/corkscrew tunneling through above proxies using a Socks 5 proxy on any TCP port above 1024. This is used for anonymous communications. This leverages the -D parameter of the ssh applications on Linux.

Hope this helps, if you need any further information then please just shout.

themroc (rauchweihe) wrote :

@dobey:

I (using ubuntu-one with KDE on Kubuntu) switch the proxy on-off via script (in /etc/X11/Xsession.d ) depends on some characteristically parameter at work or at home. I set then the environment variables, the kde proxy, the davfs proxy, etc. ON or OFF.

So, a good solution for me is the possibility to change a configuration file. The best solution is, if ubuntuone receive the proxy from the environment variables automatic.

Thomas (thomas-sprinkmeier) wrote :

wpad-based proxy configuration selecting either squid or IAS proxy

We have a non-authenticated HTTP proxy which listens on port 88 and allows
outbound connections only on port 80 and 443.

Same configuration for all 300,000 employees. Not all Linux users of course
:-) And on even smaller percentage of Ubuntu Linux users.

On Fri, Dec 9, 2011 at 3:00 PM, Roberto Alsina <<email address hidden>
> wrote:

> @cuby this bug is being worked on currently, and we are aware it affects
> many users. The feedback we need right now is what kind of proxy setups
> are most common in our userbase so we can focus on fixing those cases
> first.
>
> The current resolution status for this bug is: we are working on it, but
> it's still going to take months to get a useful implementation released.
> I am marking as in progress.
>
> ** Changed in: ubuntuone-client
> Status: Triaged => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/387308
>
> Title:
> HTTPS Proxy Support for file sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-sso-client/+bug/387308/+subscriptions
>

Cyprien Gay (cyprien-gay) wrote :

Le 09/12/2011 21:00, Roberto Alsina a écrit :
> @cuby this bug is being worked on currently, and we are aware it affects
> many users. The feedback we need right now is what kind of proxy setups
> are most common in our userbase so we can focus on fixing those cases
> first.

Non-authenticated proxy on port 3128 with *.pac file available.
It lets 80 and 443 out, not much more it seems.

Cyprien.

cuby (cuby) wrote :

Hello,
At work I have an authenticated (login and password) http, https, ftp and socks proxy on port 8080.
We are about 1000 people and about 10% use linux.

Donagh Horgan (donagh-horgan) wrote :

I'm using a HTTP proxy on port 80 with no authentication - it uses MAC filtering to determine which users to grant or deny access to. HTTP and HTTPS connections are allowed out, but FTP is blocked.

Jiří Janoušek (fenryxo) wrote :

Our university dormitory network is connected to Internet via HTTP(S) proxy probably powered by McAfee Web Gateway 6.8.7 Build 9396. No authentication required (the wired connection to the network is already authenticated by 802.1X PEAP).

Falco Weigend (neovandeen) wrote :

We're using squid/2.7.STABLE5 proxy on port 8081. Manual configuration is needed, no transparent proxy.

Uli Tillich (utillich) wrote :

At university we have a Proxy for wired connections:
Mac Filtering, No Authentication, Port 8080, Proxy not transparent

some ports, such as the one used for facebook-chat, appear to be open without proxy, but not many.

(WLAN uses the same proxy + cysco anyconnect VPN)

AureusZ (aureussz) wrote :

I have the same issue, proxy using 8080 port, proxy configured manually or through automatic configuration ".pac" script file.

Daniele (daniele-levorato) wrote :

I'm affected by this bug. I need proxy support with basic authentication (user/password) to have internet access from work.

cirobr (ciro-rosa) wrote :

I am affected by this bug. Need proxy support with basic authentication on Windows client. Thanks.

Tonton Manu (dubreucq) wrote :

Hello, same issue for me, proxy using authentication, port 3128 (http, https, ftp and socks proxy).
Thank.

lophie (lophesuicire) wrote :

i.ve been on this bug list for a year now. i had it with this neither
ubuntu one nor usc works behind ntlm proxies. guys just give ip appearently
canonical cares more about the parts of ubuntu which kay never bring any
revenue.

Rodney Dawes (dobey) wrote :

lophie, the bug is being worked on. However it's not trivial to fix. If you think it is, we are happy to accept patches though. Please don't spam our bug reports with such negative comments.

Thanks everyone else who provided information about your proxy configurations. We have a good set of information about what methods to support to start, and whwere to go from there, and are working on it. Please be patient as we get the fixes implemented in our many projects, and work to get the support shipped out to you. It may not work for all of you to start, but we will continue to work on adding support for some of the more complex configurations, after getting the majority supported at first. Thanks again, and we're sorry you haven't been able to use Ubuntu One behind your proxies.

maxadamo (massimilianoadamo) wrote :

Rodney, I would say that part of "Ubuntu One" service is on sale, while its development it's clearly not completed yet.
I would never pay the extra storage space for something that it's missing such a basic functionality, whereas the competitor (dropbox) started working perfectly from the very beginning.
I suspect, same happens if I use my android with a proxy, and I paid for the music streaming....
You say "it's not trivial to fix".
I say: "do not put on sale something that you're not able to manage and fix. Leave it for free and than leave the bugs open until 2020".

AureusZ (aureussz) wrote :

Rage will not help this bug to be solved...

I really thing the issues all devs have with Proxy stuff should be dealt with at a lower level. (Apple is making a lot of things like this easier recently with it's new system APIs for example, and in android apps don't have to bother either with proxy support starting fron API 11 )

I have suggested that proxy settings could be configured and no longer handled by a preference global variable but by enforcing network communications through it. (in NetworkManager ??? there is a bug open for it and a blueprint, why not contributing to it ?)

If you type "proxy issue" in launchpad, you can see a lot of bugs yet to be fixed.
I'm not saying this bug should not be fixed, I just say that if a lot of devs are already putting efforts to fix this in individual apps there should be a discussion to include a management of proxy settings at a lower level (just like we do for vpn connexions and stuff like this...)

Bálint Fekete (kaktusztea) wrote :

I agree with AureusZ.
Maybe libproxy could be a common platform?
( https://code.google.com/p/libproxy/ )

I don't know that project just made a Google search and I noticed that it is under active development.

John Loran (loran123) wrote :

When trying to connect to u1, the application totally freezes.

I get an "Unable to find the server at login.ubuntu.com" error message when I try to connect to Ubuntu One from behind a proxy server.

John Loran (loran123) on 2012-04-23
Changed in ubuntuone-client:
status: In Progress → Fix Released
John Loran (loran123) wrote :

New version 12.04 with proxy support:
can sign in, can retrieve information, but file sync does not work through proxy...

Great to see progress on this! However, is "Fix Released" the correct status for this bug if file sync does not yet work through a proxy?

Uli Tillich (utillich) wrote :

I can confrim that signing in is now possible. (Even though it gets stuck at some points at "getting information", the set up can be finished by clicking continue. )

After signing in used space, "Devices", and "Account information" are displayed correctly. However, File Sync is still not able to connect.

I dont think this should be marked as fixed.

Rodney Dawes (dobey) wrote :

You need to install ubuntuone-client-proxy to be able to use file sync through a proxy. If it is not working for you after installing that, and restarting file sync, please file a new bug. The support generally works, but given the number of possible proxy configuration variations in the wild, some people may of course encounter issues, and we will work to resolve them as they are reported.

Thanks.

Uli Tillich (utillich) wrote :

Exellent!
I can confrim it works after installing ubuntuone-client-proxy!

(Proxy without authentication)

Since this bug is a duplicate for the proxy issues under windows will this fix propagate to the windows client at some point?

Rodney Dawes (dobey) wrote :

Yes. There were some other issues that cropped up on Windows we are trying to fix right now, and had to roll back the 3.0.0 release because of them.

Vinay (vinay-wagh) wrote :

I am behind authenticated proxy on Ubuntu 12.04 with latest updates. The fily sync gives me AUTH_FAILED error. As suggested, I have filed a new bug report (https://bugs.launchpad.net/ubuntuone-client/+bug/987638).

Hope to get it resolved soon.

-- VInay

Rodney Dawes (dobey) on 2012-05-19
no longer affects: ubuntu
Changed in ubuntu-sso-client:
status: Triaged → Fix Released
Changed in ubuntuone-control-panel:
status: Triaged → Fix Released
Vasilis Toumpakaris (toumbo) wrote :

This bug still exist! :(

Rodney Dawes (dobey) wrote :

@Vasilis If you're going to claim a bug still exists, at least explain the issue you are seeing. The file sync client supports proxies now. You do have to install the ubuntuone-client-proxy package to get it working, however.

Edrin (edrin17) wrote :

Still doesn't work for me, with ubuntuone-client-proxy installed
Behind proxy at work, sync client can't connect. Where can I find a log and post it ?

Rodney Dawes (dobey) wrote :

@Edrin Please file a new bug report. The logs are in ~/.cache/ubuntuone/log/ . If you attach logs to your new bug, you may want to mark the bug as private first, as the logs will have file names and such data, if you don't wish that information to be public.

3 comments hidden view all 207 comments
Beren Erchamion (erchamion) wrote :

After a fresh ubuntu 12.04 install, and after installing ubuntuone-client-proxy, launched ubuntuone and then install, login, setup and sync worked flawlessly. At last, after almost 3 years. good job! I am behind a proxy without authentication. Now will try on android and windows. However, It is a pity that tomboy support was removed.

smk72de (sascha-koehler) wrote :

I am also behind a proxy and could not use Ubuntu One. With the ubuntuone-client-proxy package applied, I can now use the cloud as desired!

(using 12.04, 32bit behind a proxy without authentication and Ubuntu One V3.0.2)

Displaying first 40 and last 40 comments. View all 207 comments or add a comment.